Bug 312161 - Thunderbird should use default Gnome font 'monospace' instead of 'Courier'
Thunderbird should use default Gnome font 'monospace' instead of 'Courier'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
TB12ReproductionRequest
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 02:45 EDT by Dimitri Papadopoulos
Modified: 2009-01-09 02:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of the Greek alphabet in Thunderbird under fr_FR.UTF-8 locale (22.21 KB, image/png)
2007-09-29 02:45 EDT, Dimitri Papadopoulos
no flags Details
screen shot of the Greek alphabet in Thunderbird under el_GR.UTF-8 locale (23.43 KB, image/png)
2007-09-29 02:47 EDT, Dimitri Papadopoulos
no flags Details
screen shot of the Greek alphabet in Thunderbird 2.0.0.12 under fr_FR.UTF-8 locale (19.12 KB, image/png)
2008-03-08 16:32 EST, Dimitri Papadopoulos
no flags Details
screen shot of the Greek alphabet in Thunderbird 2.0.0.12 under el_GR.UTF-8 locale (20.47 KB, image/png)
2008-03-08 16:32 EST, Dimitri Papadopoulos
no flags Details
broken Greek rendering with default 'Courier' font (19.71 KB, image/png)
2008-03-08 17:30 EST, Dimitri Papadopoulos
no flags Details
correct Greek rendering after switching to 'monospace' font (20.10 KB, image/png)
2008-03-08 17:30 EST, Dimitri Papadopoulos
no flags Details
correct Greek rendering after switching to 'monospace' font (20.25 KB, image/png)
2008-03-08 17:33 EST, Dimitri Papadopoulos
no flags Details
Situation on the current F8 (61.81 KB, image/png)
2008-03-10 07:19 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2007-09-29 02:45:55 EDT
Description of problem:
Under a non-Greek locale, Thunderbird seems to be choosing different Greek
characters from different fonts to display Greek text. As a result, there are
letters which are obviously not the same size as others. The result is almost
unreadable on the screen. Printing the text is worse, those letters that look
bad aren't even printed.
I don't see that with Firefox by the way.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.5-2.fc7

How reproducible:
Always.

Steps to Reproduce:
1. export LANG=fr_FR.UTF_8
2. launch Thunderbird from the command line to take the above locale into account
3. start a new message
4. copy/paste Greek characters: αβγδεζηθικλμνξοπρστυφχψω 
Actual results:
See attached screen shot thunderbird-fr_FR.UTF-8 under the fr_FR.UTF-8 locale.

Expected results:
See attached screen shot thunderbird-el_GR.UTF-8 under the el_GR.UTF-8 locale.
Comment 1 Dimitri Papadopoulos 2007-09-29 02:45:55 EDT
Created attachment 211251 [details]
screen shot of the Greek alphabet in Thunderbird under fr_FR.UTF-8 locale
Comment 2 Dimitri Papadopoulos 2007-09-29 02:47:04 EDT
Created attachment 211261 [details]
screen shot of the Greek alphabet in Thunderbird under el_GR.UTF-8 locale
Comment 3 Christopher Aillon 2007-10-03 11:18:40 EDT
Any idea Behdad?
Comment 4 Matěj Cepl 2008-03-07 17:42:49 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.
Comment 5 Dimitri Papadopoulos 2008-03-08 16:30:09 EST
Problem still present in Thunderbird 2.0.0.12.

$ rpm -q thunderbird
thunderbird-2.0.0.12-1.fc8
$ 
Comment 6 Dimitri Papadopoulos 2008-03-08 16:32:04 EST
Created attachment 297330 [details]
screen shot of the Greek alphabet in Thunderbird 2.0.0.12 under fr_FR.UTF-8 locale
Comment 7 Dimitri Papadopoulos 2008-03-08 16:32:30 EST
Created attachment 297331 [details]
screen shot of the Greek alphabet in Thunderbird 2.0.0.12 under el_GR.UTF-8 locale
Comment 8 Dimitri Papadopoulos 2008-03-08 16:52:22 EST
For what it's worth, I recall seeing similar problems in OpenOffice. I think the
problem is that the font substitution algorithm chooses different fonts for
different Greek characters. For example symbols 'pi' or 'mu' are present in many
fonts (mathematic symbol 'pi' and 'mu' for micro) and can be used to render
Greek characters while other Greek characters are missing and some other font
must be used. I can't find the exact thread of discussion or bug report, teh
closest I could find is:
https://bugs.launchpad.net/bugs/9093
Comment 9 Dimitri Papadopoulos 2008-03-08 17:29:05 EST
The default font chosen by Thunderbird is 'Courier'. Switching to 'monospace'
through Edit|Preferences|Display|Formatting|Fonts...|Monospace seems to be
fixing the problem. See attached screenshots.
Comment 10 Dimitri Papadopoulos 2008-03-08 17:30:00 EST
Created attachment 297335 [details]
broken Greek rendering with default 'Courier' font
Comment 11 Dimitri Papadopoulos 2008-03-08 17:30:42 EST
Created attachment 297336 [details]
correct Greek rendering after switching to 'monospace' font
Comment 12 Dimitri Papadopoulos 2008-03-08 17:33:13 EST
Created attachment 297338 [details]
correct Greek rendering after switching to 'monospace' font
Comment 13 Matěj Cepl 2008-03-10 07:19:10 EDT
Created attachment 297415 [details]
Situation on the current F8

This seems to be fixed in Rawhide, but still present in F8
Comment 14 Bug Zapper 2008-11-26 02:52:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-09 02:17:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.